%global momorel 2

Name: gsf-sharp
Version: 0.8.1
Release: %{momorel}m%{?dist}
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.mono-project.com/
Source0: http://primates.ximian.com/~joe/gsf-sharp-0.8.1.tar.gz
Patch0: gsf-sharp-0.8.1-lib64.patch
Summary: gsf library for .NET
Group: Development/Libraries

BuildRequires: pkgconfig
BuildRequires: mono-core
BuildRequires: monodoc
BuildRequires: libgsf-devel
BuildRequires: mono-devel >= 1.2.3.1
BuildRequires: gtk-sharp2-devel >= 2.10.0

%description
gsf-sharp

%package devel
Summary: gsf-sharp-devel
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
gsf-sharp-devel

%prep
%setup -q
%if %{_lib} == "lib64"                                        
%patch0 -p1 -b .lib64~
%endif

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libgsfglue.so
%{_prefix}/lib/mono/gtk-sharp/gsf-sharp.dll
%{_prefix}/lib/mono/gac/gsf-sharp
%{_datadir}/gapi-2.0/gsf-api.xml

%files devel
%defattr(-, root, root)
%{_libdir}/libgsfglue.a
%{_libdir}/pkgconfig/gsf-sharp.pc

%changelog
* Tue May 22 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.8.1-2m)
- add Patch0 gsf-sharp-0.8.1-lib64.patch

* Mon May 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-1m)
- initial build
